Project

General

Profile

Bug #16148

"Expire Sticky Posts" plugin doesn't work in block editor

Added by Raffi Khatchadourian about 1 month ago. Updated about 1 month ago.

Status:
Resolved
Priority name:
Normal
Assignee:
Category name:
WordPress Plugins
Target version:
Start date:
2022-05-23
Due date:
% Done:

0%

Estimated time:

Description

It only works in the classic editor.

expire-sticky-posts.png (4.59 KB) expire-sticky-posts.png Raymond Hoh, 2022-05-23 11:41 PM
block-editor.gif (313 KB) block-editor.gif Raymond Hoh, 2022-05-24 04:43 PM
Screenshot from 2022-05-25 14-27-36.png (40.9 KB) Screenshot from 2022-05-25 14-27-36.png Sticky option Raffi Khatchadourian, 2022-05-25 02:28 PM

History

#1 Updated by Raymond Hoh about 1 month ago

The expire-sticky-posts plugin is old and hasn't been updated in seven years: https://wordpress.org/plugins/expire-sticky-posts/.

Regardless, I've added support for the block editor: https://github.com/cuny-academic-commons/cac/commit/0d3613e214da2479d0bb55fca0a14e82d6bbf0db.

It will display in the block editor's sidebar after the "Discussion" option:

Fix will be ready after tomorrow's maintenance release. (I might add a pull request to the plugin author's Github repo: https://github.com/avondohren/Expire-Sticky-Posts, but I doubt there will be a new release.)

#2 Updated by Raffi Khatchadourian about 1 month ago

Thank you, Raymond! There's another one (https://wordpress.org/plugins/sticky-posts-expire/) with a release 7 months ago, but apparently it also doesn't support the block editor.

#3 Updated by Boone Gorges about 1 month ago

  • Status changed from Staged for Production Release to Resolved

#5 Updated by Raymond Hoh about 1 month ago

It shows up for me.

In the Block Editor, can you click on the three vertical dots menu located in the top-right corner of the page? Then click on "Preferences", followed by "Panels". Can you check and see if the "Sticky Expires" panel is enabled or not?

I've also attached a GIF for a walkthrough:

If you are still encountering a problem, I remember you were using wordpress.com and Jetpack to login and edit posts for the Commons there. If you are editing through wordpress.com, can you try logging into the Commons instead?

#6 Updated by Raffi Khatchadourian about 1 month ago

I see this currently (see attached screenshot). I checked the panels as you described. "Sticky expires" is enabled. As I am using https://khatchad.commons.gc.cuny.edu/wp-admin/post.php?post=5029&action=edit, it's not being edited through wordpress.com.

Ah, I see it all the way down on the bottom. Thanks.

Also available in: Atom PDF